Skip to content

Barangays API

Returns a paginated list of Philippine barangays.

GET /v1/barangays

Returns a list of barangays. Filtering by province name is required. Optional starts-with search for municipality and barangay name are supported.

ParameterTypeRequiredDescription
provincestringYesExact (case-insensitive) name of the province.
municipalitystringNoStarts-with search for municipality or city name.
namestringNoStarts-with search for the barangay name.
pageintegerNoPage number (default: 1).
limitintegerNoItems per page (default: 10, max: 100).
Terminal window
curl -H "Authorization: Bearer <token>" \
"https://api.gis.ph/v1/barangays?province=Cebu&municipality=Poro&limit=5"

GET /v1/barangays/{id}

Returns detailed information about a single barangay.

  • id (path): The unique identifier of the barangay.
Terminal window
curl -H "Authorization: Bearer <token>" \
"https://api.gis.ph/v1/barangays/12345"
{
"data": {
"id": 12345,
"name": "Poblacion",
"code": "072210001",
"population": 2500,
"municipality_id": 1595
},
"error": null
}